跳到主要内容

创建页面卡片

POST 

/wiki/pages/:pageID/cards

创建页面卡片。

当更新页面内容包含卡片时,先调用该接口创建卡片,再将返回的卡片信息写入 content。

Request​

Path Parameters

    pageID stringrequired

    页面 ID

Query Parameters

    teamID stringrequired

    团队ID

    requestUserID string

    用户 ID,此参数仅在作为 Oauth 机器人调用时才能传递。它用于以指定用户的身份执行操作

Body

required

    id string

    卡片 ID。不传则随机生成。

    type stringrequired

    Possible values: [attachment, taskList, dynamicTaskList, dynamicTask, complexTaskList]

    卡片类型枚举:

    • attachment
    • taskList
    • dynamicTaskList
    • dynamicTask
    • complexTaskList

    config

    object

    required

    卡片配置 JSON

    property name* any

    卡片配置 JSON

Responses​

成功

Schema

    data

    object

    id string

    卡片 ID

    type string

    Possible values: [attachment, taskList, dynamicTaskList, dynamicTask, complexTaskList]

    卡片类型枚举:

    • attachment
    • taskList
    • dynamicTaskList
    • dynamicTask
    • complexTaskList
    pageID string

    页面 ID

    draftID string

    草稿 ID

    creatorID string

    创建者 ID

    config

    object

    卡片配置

    property name* any

    卡片配置

    extra

    object

    卡片扩展信息

    property name* any

    卡片扩展信息

    result string

    本次请求结果,SUCCESS|FAIL

    errorCode string

    本次请求错误码

    errorMsg string

    本次请求错误信息

    errorData object

    本次请求错误元数据

Loading...